# eoPropCombinedMonOp< EOT > Class Template Reference

eoMonOp is the monary operator: genetic operator that takes only one EO More...

`#include <eoProportionalCombinedOp.h>`

Inheritance diagram for eoPropCombinedMonOp< EOT >:

List of all members.

## Public Member Functions

| eoPropCombinedMonOp (eoMonOp< EOT > &_first, const double _rate)
| Ctor from a "true" operator.
virtual std::string | className () const
virtual void | add (eoMonOp< EOT > &_op, const double _rate, bool _verbose=false)
virtual void | printOn (std::ostream &_os)
virtual bool | operator() (EOT &_indi)
| The pure virtual function that needs to be implemented by the subclass.

## Protected Attributes

std::vector< eoMonOp< EOT > * > | ops
std::vector< double > | rates

## Detailed Description

### template<class EOT>
class eoPropCombinedMonOp< EOT >

eoMonOp is the monary operator: genetic operator that takes only one EO

now accepts generic operators

Definition at line 58 of file eoProportionalCombinedOp.h.

The documentation for this class was generated from the following file:

- eoProportionalCombinedOp.h